/public/sip-connections

List SIP connections

GET
/public/sip-connections

List SIP connections

Header Parameters

X-API-Version?string

Response Body

application/problem+json

application/json

application/json

curl -X GET "https://companion-api.napster.com/public/sip-connections"
[
  {
    "id": "string",
    "organizationId": "string",
    "projectId": "string",
    "agentId": "string",
    "name": "string",
    "settings": {
      "server": "string",
      "port": 0,
      "domain": "string",
      "username": "string",
      "transport": "string",
      "callerId": "string"
    },
    "status": {
      "lifecycleStatus": "string",
      "sipStatus": "string",
      "message": "string",
      "lastRefreshed": 0
    },
    "created": 0
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}